Subject: Maestro Meatballs
From: Moe Martin <[email-masked]>
Date: 24 Sep 1999 05:27:03 -0600
Newsgroups: rec.food.recipes

In reply to "David Lediett" <[email-masked]> request "Does anyone
have a recipe for different kinds of meatballs", I'm happy to supply the
following recipe.  I attended a party about 25 years ago and these
meatballs were served.  The hostess was gracious enough to give me the
recipe.  I've been enjoying them ever since.

Maestro Meatballs Make the Heart Sing

2    tsp. vegetable oil
2    lb. lean ground beef
1    egg
1    clove garlic, minced
1/4 tsp. paprika
1/2 tsp. oregano
2    tsp. salt
1    cup fine dry breadcrumbs
1    Tbsp. prepared mustard
2    tsp. Worcestershire sauce
4    strips bacon
3    Tbsp. butter
1    cup strong coffee
1/2 cup cooking sherry or burgundy*
1/2 cup water
1    tsp. salt
1    tsp. sugar
2    Tbsp. flour
1/4 cup water
1    cup sour cream
flour for dredging
*optional (If wine is not used, substitute 1/2 cup apple juice)

In a large bowl, combine beef, egg, garlic, onion, oregano, paprika, salt, 
breadcrumbs, mustard, and Worcestershire sauce.  Mix very well and shape into 
balls about 1.5" (4mm) in diameter and dredge in flour. Cook bacon in a large 
frying pan until crisp.  Remove, chop, and set aside.  To the fat in the pan, 
add sufficient butter to be able to brown all the meatballs.  Brown and turn 
meatballs until all are seared and golden.  Now add coffee, wine or apple juice,
water, salt, and sugar.  Cover and simmer 15 minutes. Return bacon to the pan.  
Mix flour and 1/4 cup water into a smooth paste and carefully stir in until 
thickened.  Reduce heat as low as possible for another five minutes. Serve 
immediately with hot rice. 

Hope you enjoy them!

--
~~Rec.food.recipes is moderated; only recipes and recipe requests are 
accepted for posting.  Please read the FAQ posted weekly Recipes/requests
go to [email-masked]; questions/comments to [email-masked].
Please allow several days for your submission to appear.